import greenfoot.*;  // （World、Actor、GreenfootImage、GreenfootSound、Greenfoot及MouseInfo）
import java.awt.Color;
import java.util.List;
import java.io.File;
import javax.imageio.ImageIO;

/**
 * 現在輪到的陣營。
 * 
 * @author 依瑪貓
 * @version 2013-03-19
 */
public class CurrentSide extends Actor {
    
    /** 紅方的陣營牌。 */
    private GreenfootImage sideRed = new GreenfootImage("side-red.png");
    
    /** 黑方的陣營牌。 */
    private GreenfootImage sideBlack = new GreenfootImage("side-black.png");
    
    /**
     * 建立新的陣營表示。
     * 
     * @param side 陣營表示。
     */
    public CurrentSide(ChessSide side) {
        switch (side) {
        case RED:
            setImage(sideRed);
            break;
        case BLACK:
            setImage(sideBlack);
            break;
        }
    }
    
    /**
     * 切換陣營表示，紅方換黑方，黑方換紅方。
     * 
     */
    public void switchSide() {
        if (getImage() == sideRed) {
            setImage(sideBlack);
        } else {
            setImage(sideRed);
        }
    }
}